<form [formGroup]="cadastroCategoriaForm" novalidate (ngSubmit)="onSubmit()">
  <mat-card class="cadastro-categoria-card">
    <mat-card-header>
      <mat-card-title>Adicionar Categoria</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Nome da Categoria" formControlName="nome">
            <mat-error *ngIf="cadastroCategoriaForm.controls['nome'].hasError('required')">
              O nome é <strong>obrigatório</strong>
            </mat-error>
            <mat-error *ngIf="cadastroCategoriaForm.controls['nome'].hasError('minlength')">
              O nome deve ter <strong>no mínimo 3 caracteres</strong>
            </mat-error>
            <mat-error *ngIf="cadastroCategoriaForm.controls['nome'].hasError('maxlength')">
              O nome deve ter <strong>no máximo 50 caracteres</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <textarea matInput placeholder="Descrição" formControlName="descricao"></textarea>
            <mat-error *ngIf="cadastroCategoriaForm.controls['descricao'].hasError('required')">
              A descricão é <strong>obrigatória</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-radio-group formControlName="tipo">
            <mat-radio-button value="ENTRADA">Entrada</mat-radio-button>
            <mat-radio-button value="SAIDA">Saída</mat-radio-button>
          </mat-radio-group>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="secondary" type="button" (click)="voltarParaCategorias()">Voltar</button>
      <button mat-raised-button color="primary" type="submit">Cadastrar</button>
    </mat-card-actions>
  </mat-card>
</form>
